package com.yanzhu.jh.work.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 集团新闻对象 work_journalism
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public class WorkJournalism extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 主图 */
    @Excel(name = "主图")
    private String mainImage;

    /** 简介 */
    @Excel(name = "简介")
    private String intro;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 外部地址 */
    @Excel(name = "外部地址")
    private String openUrl;

    /** 阅读次数 */
    @Excel(name = "阅读次数")
    private Long readNum;

    /** 状态标识 */
    @Excel(name = "状态标识")
    private String statusFlag;

    /** 置顶标识 */
    @Excel(name = "置顶标识")
    private String topFlag;

    /** 相关附件 */
    @Excel(name = "相关附件")
    private String files;

    /** 排序 */
    @Excel(name = "排序")
    private Long sortNum;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    /** 创建用户 */
    @Excel(name = "创建用户")
    private String createUser;

    private Date createDate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setIntro(String intro) 
    {
        this.intro = intro;
    }

    public String getIntro() 
    {
        return intro;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setOpenUrl(String openUrl) 
    {
        this.openUrl = openUrl;
    }

    public String getOpenUrl() 
    {
        return openUrl;
    }
    public void setReadNum(Long readNum) 
    {
        this.readNum = readNum;
    }

    public Long getReadNum() 
    {
        return readNum;
    }
    public void setStatusFlag(String statusFlag) 
    {
        this.statusFlag = statusFlag;
    }

    public String getStatusFlag() 
    {
        return statusFlag;
    }
    public void setTopFlag(String topFlag) 
    {
        this.topFlag = topFlag;
    }

    public String getTopFlag() 
    {
        return topFlag;
    }
    public void setFiles(String files) 
    {
        this.files = files;
    }

    public String getFiles() 
    {
        return files;
    }
    public void setSortNum(Long sortNum) 
    {
        this.sortNum = sortNum;
    }

    public Long getSortNum() 
    {
        return sortNum;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("mainImage", getMainImage())
            .append("intro", getIntro())
            .append("content", getContent())
            .append("type", getType())
            .append("source", getSource())
            .append("openUrl", getOpenUrl())
            .append("readNum", getReadNum())
            .append("statusFlag", getStatusFlag())
            .append("topFlag", getTopFlag())
            .append("files", getFiles())
            .append("sortNum", getSortNum())
            .append("isDel", getIsDel())
            .append("createUser", getCreateUser())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
